Bug 8717 - Wrong subscription notes are showing in catalogue detail view of serials in staff client
Summary: Wrong subscription notes are showing in catalogue detail view of serials in s...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: David Cook
QA Contact: Mason James
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-04 02:16 UTC by David Cook
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8717 - Wrong subscription notes are showing in catalogue detail view of serials in staff client (1.11 KB, patch)
2012-09-04 02:27 UTC, David Cook
Details | Diff | Splinter Review
Screenshot of "subscription notes" (39.62 KB, image/jpeg)
2012-09-05 23:14 UTC, David Cook
Details
Bug 8717 - Wrong subscription notes are showing in catalogue detail view of serials in staff client (1.13 KB, patch)
2012-09-06 08:53 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2012-09-04 02:16:04 UTC
The detail.pl file is pushing "notes" when it should be pushing "internalnotes".
Comment 1 David Cook 2012-09-04 02:27:16 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2012-09-04 09:16:48 UTC
Hi David,
The header column is "Public notes" then I suppose we want to display the public note rather than the internalnotes.
Comment 3 David Cook 2012-09-05 23:09:40 UTC
Hi Jonathan:

I'm not sure where you are looking, but I don't see a header column on the page to which I'm referring. I'll attach a screenshot. 

(In reply to comment #2)
> Hi David,
> The header column is "Public notes" then I suppose we want to display the
> public note rather than the internalnotes.
Comment 4 David Cook 2012-09-05 23:14:59 UTC
Created attachment 11994 [details]
Screenshot of "subscription notes"

This is the patched version. Ordinarily, it would show "subscription public note" .
Comment 5 Jonathan Druart 2012-09-06 08:53:05 UTC
(In reply to comment #4)
> Created attachment 11994 [details]
> Screenshot of "subscription notes"
> 
> This is the patched version. Ordinarily, it would show "subscription public
> note" .

Yes, sorry, I didn't test at the right place :)
Comment 6 Jonathan Druart 2012-09-06 08:53:21 UTC
Created attachment 12001 [details] [review]
Bug 8717 - Wrong subscription notes are showing in catalogue detail view of serials in staff client

Changes the subscription note from the opac "notes" to the proper staff client "internalnotes" field.

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 7 Mason James 2012-09-16 13:59:05 UTC
> Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

patch looks good, passing QA…

$ koha-qa.pl  

testing 1 commit(s) (applied to commit 2a60d49)
 * 1685fe5 Bug 8717 - Wrong subscription notes are showing in catalogue deta
      catalogue/detail.pl

* catalogue/detail.pl                                                      OK
Comment 8 Paul Poulain 2012-09-18 09:35:23 UTC
Patch pushed to master
Comment 9 Chris Cormack 2012-09-19 03:07:44 UTC
Pushed to 3.8.x, will be in 3.8.5